<script>
    var requireJS = [];
    loadJS(requireJS, "js/views/order-activity.js");
</script>

<div class="col-lg-12">
    <div class="card">
        <div class="card-header">
            <i class="fa fa-align-justify"></i> Movimientos del pedido
            <button type="button" class="btn btn-secondary btn-sm action-item" id="action-refresh-order-status" th:attr="data-tracking-number=${trackingNumber}">
                <i class="fa fa-refresh"></i>
            </button>
        </div>
        <div class="card-block">
            <table class="table table-sm">
                <thead>
                    <tr>
                        <th>Fecha</th>
                        <th>Código</th>
                        <th>Descripcion</th>
                        <th>Tipo</th>
                    </tr>
                </thead>
                <tbody>

                    <tr th:each="item : ${activities}">
                        <td th:text="${#dates.format(item.activityDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                        <td th:text="${item.code}"></td>
                        <td class="text">                                    
                            <a href="#" data-toggle="tooltip" th:title="${item.description}">
                                <span th:text="${item.description}"></span>
                            </a>
                        </td>
                        <td th:text="${item.type}"></td>
                        <!--<td>
                            <div th:switch="${item.status}">
                                <span class="badge badge-info" th:text="${item.status}" th:case="'step1'"></span>
                                <span class="badge badge-info" th:text="${item.status}" th:case="'step2'"></span>
                                <span class="badge badge-warning" th:text="${item.status}" th:case="'payment'"></span>
                                <span class="badge badge-warning" th:text="${item.status}" th:case="'payment_done'"></span>
                                <span class="badge badge-success" th:text="${item.status}" th:case="'complete'"></span>
                                <span class="badge badge-success" th:text="${item.status}" th:case="'ordered'"></span>
                                <span class="badge badge-default" th:text="${item.status}" th:case="*"></span>
                            </div>
                        </td>
                        <td>
                            <i class="fa fa-eye action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='views/clients/clients/'+${item.id}+'/form'"></i>
                            <i sec:authorize="hasRole('ROLE_ADMIN')" class="fa fa-pencil action-button" data-toggle="modal" data-target="#editModal"></i>
                        </td>-->
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>